﻿
using System;
using System.Drawing;
using Wisej.Web;

namespace WisejResizeUploadSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void upload1_Uploaded(object sender, UploadedEventArgs e)
		{
			this.imagesPanel.Controls.Clear(true);

			for (var i = 0; i < e.Files.Count; i++)
			{
				var image = new PictureBox()
				{
					Dock = DockStyle.Fill,
					BorderStyle = BorderStyle.Solid,
					SizeMode = PictureBoxSizeMode.CenterImage,
					Image = new Bitmap(Image.FromStream(e.Files[i].InputStream))
				};
				var imagePanel = new Panel()
				{
					ShowHeader = true,
					ShowCloseButton = false,
					Size = new Size(300, 340),
					Text = $"{image.Image.Size}, Bytes={e.Files[i].ContentLength}"
				};
				imagePanel.Controls.Add(image);
				this.imagesPanel.Controls.Add(imagePanel);
			}
		}

		private void button1_Click(object sender, EventArgs e)
		{
			this.upload1.Quality = (float)this.numericUpDownQuality.Value;
			this.upload1.MimeType = "image/" + (this.radioButtonPNG.Checked ? "png" : "jpeg");
			this.upload1.ImageSize = new Size((int)this.numericUpDownWidth.Value, (int)this.numericUpDownHeight.Value);

			this.upload1.Call("upload");
		}

		private void radioButton1_CheckedChanged(object sender, EventArgs e)
		{
			this.numericUpDownQuality.Enabled = this.radioButtonJPG.Checked;
		}
	}
}
